using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;

namespace SlnMesnac.Model.domain
{
    [SugarTable("base_staff_info"), TenantAttribute("mes")]
    [DataContract(Name = "BaseStaffInfo 员工信息")]
    #pragma warning disable CS8618
    public class BaseStaffInfo
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(ColumnName = "obj_id", IsPrimaryKey = true)]
        public int ObjId {  get; set; }

        /// <summary>
        /// 员工id
        /// </summary>
        [SugarColumn(ColumnName = "staff_id")]
        public string StaffId { get; set; }

        /// <summary>
        /// 员工名称
        /// </summary>
        [SugarColumn(ColumnName = "staff_name")]
        public string StaffName { get; set; }

        /// <summary>
        /// 员工类型
        /// </summary>
        [SugarColumn(ColumnName = "staff_type")]
        public string StaffType { get; set; }

        /// <summary>
        /// 卡号1
        /// </summary>
        [SugarColumn(ColumnName = "card_id")]
        public string CardId { get; set; }

        /// <summary>
        /// 班组编号
        /// </summary>
        [SugarColumn(ColumnName = "team_code")]
        public string TeamCode { get; set; }

        /// <summary>
        /// 手机号
        /// </summary>
        [SugarColumn(ColumnName = "phone_number")]
        public string PhoneNumber { get; set; }

        /// <summary>
        /// 用户性别
        /// </summary>
        [SugarColumn(ColumnName = "sex")]
        public string Sex { get; set; }

        /// <summary>
        /// 卡密
        /// </summary>
        [SugarColumn(ColumnName = "pass_word")]
        public string Password { get; set; }

        /// <summary>
        /// 删除标志
        /// </summary>
        [SugarColumn(ColumnName = "del_flag")]
        public string DelFlag { get; set; }

        /// <summary>
        /// 创建者
        /// </summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "create_time")]
        public string CreateTime { get; set; }

        /// <summary>
        /// 更新者
        /// </summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnName = "update_time")]
        public string UpdateTime { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnName = "remark")]
        public string Remark { get; set; }
    }
}
